Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml.streamingmarkupsupport
[Java] Class BaseMarkupBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.xml.streamingmarkupsupport.Builder
              groovy.xml.streamingmarkupsupport.BaseMarkupBuilder

    public class BaseMarkupBuilder
    extends Builder

Field Summary

Fields inherited from class Builder
namespaceMethodMap

Constructor Summary
`BaseMarkupBuilder(java.util.Map namespaceMethodMap)`

Method Summary
`java.lang.Object` | `bind(Closure root)`

Methods inherited from class Builder
bind

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### BaseMarkupBuilder

    public BaseMarkupBuilder(java.util.Map namespaceMethodMap)

Method Detail

### bind

    public java.lang.Object bind(Closure root)

Groovy Documentation